Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 83858 - Internal compiler error: Error reporting routines re-entered
Summary: Internal compiler error: Error reporting routines re-entered
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc3
Version: 8.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-09 19:52 UTC by ian balanza-davis
Modified: 2007-04-18 16:50 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-10-03 19:51:24 UTC


Attachments (Terms of Use)

Description ian balanza-davis 2003-02-09 19:52:59 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Win98; en-US; rv:1.2.1) Gecko/20021130

Description of problem:
experimenting with QT 3.05 on redhat 8 and I have the following feedback:

g++ -c -pipe -Wall -W -I/usr/include/fontconfig -I/usr/include/Xft2 -O2
-march=i386 -mcpu=i686 -fno-use-cxa-atexit -fno-exceptions  -DQT_NO_DEBUG
-I/usr/lib/qt3-gcc3.2/include -I/usr/lib/qt3-gcc3.2/mkspecs/default -o main.o
main.cpp
g++ -c -pipe -Wall -W -I/usr/include/fontconfig -I/usr/include/Xft2 -O2
-march=i386 -mcpu=i686 -fno-use-cxa-atexit -fno-exceptions  -DQT_NO_DEBUG
-I/usr/lib/qt3-gcc3.2/include -I/usr/lib/qt3-gcc3.2/mkspecs/default -o
main_window.o main_window.cpp
main_window.cpp: In member function `int main_window::get_window_size(int)':
main_window.cpp:54: warning: `int variable' might be used uninitialized in this
   function
main_window.cpp: In member function `void main_window::do_file_menu(int)':
main_window.cpp:115: jump to case label
main_window.cpp:102:   crosses initialization of `QFile working_file'
main_window.cpp:101:   crosses initialization of `QString temp_file_name'

Internal compiler error: Error reporting routines re-entered.
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
make: *** [main_window.o] Error 1


the function in main_window.cpp is also included below so you can see the problem...

void main_window::do_file_menu (int file_menu_option) {
  int return_type;
  
  switch (file_menu_option) {

    case FILE_MENU_NEW:
      return_type = QMessageBox::information (0,
                                              "title",
                                              "another message",
                                              QMessageBox::Ok);
      break;
  
    case FILE_MENU_OPEN:
      QString temp_file_name = QFileDialog::getOpenFileName 
                                   (QString::null, "*.cpp");
      QFile working_file (temp_file_name);
      if (working_file.open (IO_ReadWrite)) {
        QTextStream file_stream (&working_file);
        QString to_screen;
        while ( !file_stream.eof()){
          to_screen = (to_screen + (file_stream.readLine()) + "\n");
        }
        editor -> setText (to_screen);
	file_name = temp_file_name;
      }
      working_file.close();	      
      break;
    
    case FILE_MENU_EXIT:
      close();
      break;

  }
}


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. run make
2. wait
3. read output
    

Actual Results:  see message above

Expected Results:  compiled with no errors to produce an exacutable

Additional info:

when the order of the case statements is changed such that the case containing
the QFile and QString appear last in the function the compilation works just fine.

Comment 1 Jakub Jelinek 2003-02-17 14:17:42 UTC
You need to include whole preprocessed source.
Please rerun the command above with -save-temps option and attach here
main_window.ii it creates.

Comment 2 Jakub Jelinek 2004-10-03 19:51:24 UTC
No feedback, closing.


Note You need to log in before you can comment on or make changes to this bug.